Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/lists' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 93405,
"page": 1,
"results": [
{
"description": "",
"favorite_count": 0,
"id": 8502269,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 5,
"name": "WÃF",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501855,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 43,
"name": "like a ghost",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503165,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 9,
"name": "movie",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8285530,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"name": "Series2024",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501476,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 50,
"name": "watchlist",
"poster_path": null
},
{
"description": "netflix Top 10 TV Shows - Updated 2024-12-29T09:03:23.707-05:00",
"favorite_count": 0,
"id": 8302714,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 8,
"name": "Top 10 TV Shows - Netflix",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503943,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "squid game",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8311545,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15,
"name": "Currently Watching ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503152,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 13,
"name": "DeyBey",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501592,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15,
"name": "a",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503669,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"name": ".",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503898,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "Series ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503896,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "taha 1",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8502193,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 7,
"name": "movie ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501754,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 26,
"name": "shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503878,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3,
"name": "2024",
"poster_path": null
},
{
"description": "Shows to watch…",
"favorite_count": 0,
"id": 8502052,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 18,
"name": "TV Shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8173010,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 609,
"name": "SERIES",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8502823,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "watching/ watched",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503586,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "série à regarder ",
"poster_path": null
}
],
"total_pages": 20,
"total_results": 391
}This endpoint retrieves the list that a TV show has been added to.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the language.
"en"
This represents the page number.
"1"
Lists
93405
1
Show child attributes
[
{
"description": "",
"favorite_count": 0,
"id": 8502269,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 5,
"name": "WÃF",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501855,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 43,
"name": "like a ghost",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503165,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 9,
"name": "movie",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8285530,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"name": "Series2024",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501476,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 50,
"name": "watchlist",
"poster_path": null
},
{
"description": "netflix Top 10 TV Shows - Updated 2024-12-29T09:03:23.707-05:00",
"favorite_count": 0,
"id": 8302714,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 8,
"name": "Top 10 TV Shows - Netflix",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503943,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "squid game",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8311545,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15,
"name": "Currently Watching ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503152,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 13,
"name": "DeyBey",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501592,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15,
"name": "a",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503669,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"name": ".",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503898,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "Series ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503896,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"name": "taha 1",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8502193,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 7,
"name": "movie ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501754,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 26,
"name": "shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503878,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3,
"name": "2024",
"poster_path": null
},
{
"description": "Shows to watch…",
"favorite_count": 0,
"id": 8502052,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 18,
"name": "TV Shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8173010,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 609,
"name": "SERIES",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8502823,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "watching/ watched",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503586,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "série à regarder ",
"poster_path": null
}
]
20
391